Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RTCORBA::_TAO_Unbounded_Sequence_RTCORBA_PriorityBands Class Reference

`#include <RTCORBAC.h>`

Inheritance diagram for RTCORBA::_TAO_Unbounded_Sequence_RTCORBA_PriorityBands:

[legend]
Collaboration diagram for RTCORBA::_TAO_Unbounded_Sequence_RTCORBA_PriorityBands:

[legend]
List of all members.

## Public Methods
| _TAO_Unbounded_Sequence_RTCORBA_PriorityBands (void)
| _TAO_Unbounded_Sequence_RTCORBA_PriorityBands (CORBA::ULong maximum)
| _TAO_Unbounded_Sequence_RTCORBA_PriorityBands (CORBA::ULong maximum, CORBA::ULong length, PriorityBand *data, CORBA::Boolean release=0)
| _TAO_Unbounded_Sequence_RTCORBA_PriorityBands (const _TAO_Unbounded_Sequence_RTCORBA_PriorityBands &rhs)
_TAO_Unbounded_Sequence_RTCORBA_PriorityBands & | operator= (const _TAO_Unbounded_Sequence_RTCORBA_PriorityBands &rhs)
virtual | ~_TAO_Unbounded_Sequence_RTCORBA_PriorityBands (void)
PriorityBand & | operator[] (CORBA::ULong i)
const PriorityBand & | operator[] (CORBA::ULong i) const
virtual void | _allocate_buffer (CORBA::ULong length)
virtual void | _deallocate_buffer (void)
PriorityBand * | get_buffer (CORBA::Boolean orphan=0)
const PriorityBand * | get_buffer (void) const
void | replace (CORBA::ULong max, CORBA::ULong length, PriorityBand *data, CORBA::Boolean release)
## Static Public Methods
PriorityBand * | allocbuf (CORBA::ULong size)
void | freebuf (PriorityBand *buffer)

## Constructor & Destructor Documentation

RTCORBA::_TAO_Unbounded_Sequence_RTCORBA_PriorityBands::_TAO_Unbounded_Sequence_RTCORBA_PriorityBands | ( | void |  | ) |

RTCORBA::_TAO_Unbounded_Sequence_RTCORBA_PriorityBands::_TAO_Unbounded_Sequence_RTCORBA_PriorityBands | ( | CORBA::ULong | maximum | ) |

RTCORBA::_TAO_Unbounded_Sequence_RTCORBA_PriorityBands::_TAO_Unbounded_Sequence_RTCORBA_PriorityBands | ( | CORBA::ULong | maximum,
|  | CORBA::ULong | length,
|  | PriorityBand * | data,
|  | CORBA::Boolean | release = 0
| ) |

RTCORBA::_TAO_Unbounded_Sequence_RTCORBA_PriorityBands::_TAO_Unbounded_Sequence_RTCORBA_PriorityBands | ( | const _TAO_Unbounded_Sequence_RTCORBA_PriorityBands & | rhs | ) |

RTCORBA::_TAO_Unbounded_Sequence_RTCORBA_PriorityBands::~_TAO_Unbounded_Sequence_RTCORBA_PriorityBands | ( | void |  | ) | `[virtual]`

## Member Function Documentation

void RTCORBA::_TAO_Unbounded_Sequence_RTCORBA_PriorityBands::_allocate_buffer | ( | CORBA::ULong | length | ) | `[virtual]`

| Reimplemented from TAO_Base_Sequence.

void RTCORBA::_TAO_Unbounded_Sequence_RTCORBA_PriorityBands::_deallocate_buffer | ( | void |  | ) | `[virtual]`

| Reimplemented from TAO_Base_Sequence.

PriorityBand* RTCORBA::_TAO_Unbounded_Sequence_RTCORBA_PriorityBands::allocbuf | ( | CORBA::ULong | size | ) | `[static]`

void RTCORBA::_TAO_Unbounded_Sequence_RTCORBA_PriorityBands::freebuf | ( | PriorityBand * | buffer | ) | `[static]`

const PriorityBand* RTCORBA::_TAO_Unbounded_Sequence_RTCORBA_PriorityBands::get_buffer | ( | void |  | ) | const

PriorityBand* RTCORBA::_TAO_Unbounded_Sequence_RTCORBA_PriorityBands::get_buffer | ( | CORBA::Boolean | orphan = 0 | ) |

_TAO_Unbounded_Sequence_RTCORBA_PriorityBands& RTCORBA::_TAO_Unbounded_Sequence_RTCORBA_PriorityBands::operator= | ( | const _TAO_Unbounded_Sequence_RTCORBA_PriorityBands & | rhs | ) |

const PriorityBand& RTCORBA::_TAO_Unbounded_Sequence_RTCORBA_PriorityBands::operator[] | ( | CORBA::ULong | i | ) | const

PriorityBand& RTCORBA::_TAO_Unbounded_Sequence_RTCORBA_PriorityBands::operator[] | ( | CORBA::ULong | i | ) |

void RTCORBA::_TAO_Unbounded_Sequence_RTCORBA_PriorityBands::replace | ( | CORBA::ULong | max,
|  | CORBA::ULong | length,
|  | PriorityBand * | data,
|  | CORBA::Boolean | release
| ) |

The documentation for this class was generated from the following files:

- RTCORBAC.h
- RTCORBAC.cpp